Subject: Re: Running gitweb under mod_perl

From: Jakub Narebski <[email-masked]>
Date: Tue, 05 Sep 2006 22:32:21 +0200

Dennis Stosberg wrote:

> Jakub Narebski wrote:
> 
>> What should I put in Apache configuration (Apache 2.0.54 if this
>> matters, mod_perl 2.0.1) 
> 
> From my configuration:
> 
>   <Directory /home/dennis/public_html/perl>
>     Options -Indexes +ExecCGI
>     AllowOverride None
>     PerlSendHeader On
>     SetHandler perl-script
>     PerlHandler ModPerl::Registry
>   </Directory>

I use mod_perl 2.0 version

   Alias /perl /var/www/perl
   <Directory /var/www/perl>
       SetHandler perl-script
       PerlResponseHandler ModPerl::Registry
       PerlOptions +ParseHeaders
       Options +ExecCGI
   </Directory>

What is strange that ApacheBench is showing that mod_perl is _slower_ than
CGI version: 3003.305 [ms] (mean) CGI vs 3500.589 [ms] (mean) mod_perl
for summary page for git.git repository (my copy that is).

I wonder if I misconfigured something...
-- 
Jakub Narebski
Warsaw, Poland
ShadeHawk on #git